DCMTK - Bug #662

Inconsistent use of configure options/macros: with/without vs. enable/disable
2015-09-17 13:08 - J6rg Riesmeier

Status: New Start date: 2015-09-17
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Configuration Estimated time: 0:00 hour

Target version:
Module: Compiler:

Operating System:

Description
The following configure options (Autoconf), which enable/disable an optional feature

——enable-threads=TYPE compile with MT support (posix/solaris/auto=default)
——disable-threads compile without MT support

are mapped to the macro WITH_THREADS (instead of ENABLE_THREADS). The CMake option is even called
DCMTK_WITH_THREADS (although it enables a feature and not an external package).

Also the naming convention of the C++11 option/macro is not consistent with the rest of the DCMTK: e.g. the CMake variable/option
is called DCMTK_USE_CXX11_STL.

Related issues:
Related to DCMTK - Support #629: Enhance documentation for DCMTK_USE_CXX11_ST... Closed 2015-04-16

History

#1 - 2017-03-24 12:49 - Marco Eichelberg

- Target version changed from 3.6.1+ to 3.6.3

#2 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#3 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
